
[add]

; project_id 要素
form1.regist.elements.project_id.type = "text"
form1.regist.elements.project_id.options.validators.strlen.validator = "int"
form1.regist.elements.project_id.options.required = true

; issue_id 要素
form1.regist.elements.issue_id.type = "text"
form1.regist.elements.issue_id.options.validators.strlen.validator = "int"
form1.regist.elements.issue_id.options.required = true

; title 要素
form1.regist.elements.title.type = "text"
form1.regist.elements.title.options.validators.strlen.validator = "StringLength"
form1.regist.elements.title.options.validators.strlen.options.min = "1"
form1.regist.elements.title.options.validators.strlen.options.max = "256"
form1.regist.elements.title.options.required = true

[updatetask : add]

; title 要素
form1.regist.elements.title.type = "text"
form1.regist.elements.title.options.validators.strlen.validator = "StringLength"
form1.regist.elements.title.options.validators.strlen.options.min = "0"
form1.regist.elements.title.options.validators.strlen.options.max = "256"
form1.regist.elements.title.options.required = false

; description 要素
form1.regist.elements.description.type = "text"
form1.regist.elements.description.options.validators.strlen.validator = "StringLength"
form1.regist.elements.description.options.validators.strlen.options.min = "1"
form1.regist.elements.description.options.validators.strlen.options.max = "4096"
form1.regist.elements.description.options.required = false

; estimate 要素
form1.regist.elements.estimate.type = "text"
form1.regist.elements.estimate.options.validators.strlen.validator = "int"
form1.regist.elements.estimate.options.required = false

; cost 要素
form1.regist.elements.cost.type = "text"
form1.regist.elements.cost.options.validators.strlen.validator = "int"
form1.regist.elements.cost.options.required = false

; progress 要素
form1.regist.elements.progress.type = "text"
form1.regist.elements.progress.options.validators.strlen.validator = "int"
form1.regist.elements.progress.options.required = false

[myview : updatetask]

